# Poco

# class AbstractTimerCallback

Library: Foundation
Package: Threading
Header: Poco/Timer.h

## Description

This is the base class for all instantiations of the TimerCallback template.

## Inheritance

Known Derived Classes: TimerCallback

## Member Summary

Member Functions: clone, invoke, operator =

## Constructors

### AbstractTimerCallback

AbstractTimerCallback();

### AbstractTimerCallback

AbstractTimerCallback(
const AbstractTimerCallback & callback
);

## Destructor

### ~AbstractTimerCallback

virtual ~AbstractTimerCallback();

## Member Functions

### clone

virtual AbstractTimerCallback * clone() const = 0;

### invoke

virtual void invoke(
Timer & timer
) const = 0;

### operator =

AbstractTimerCallback & operator = (
const AbstractTimerCallback & callback
);